import 'package:json_annotation/json_annotation.dart';

part 'ai_model.g.dart';

/// Ai模型实体类
@JsonSerializable()
class AiModel {
  /// 模型名称
  @JsonKey(name: "name")
  String? name;

  /// 实际发送给服务端的值
  @JsonKey(name: "value")
  String? value;

  AiModel(this.name, this.value);

  factory AiModel.fromJson(Map<String, dynamic> json) =>
      _$AiModelFromJson(json);

  Map<String, dynamic> toJson() => _$AiModelToJson(this);
}